%define name    oneclickftp        
%define version 0.5.1 
%define release %mkrel 1          


Name:		%name
Version: 	%version
Release: 	%release
Source0: 	%name-%version.tar.gz
Summary:	Qt FTP Client
License: 	GPLv2+
Group: 		Networking/File transfer
URL: 		http://oneclickftp.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	libqt4-devel
BuildRequires:	 libqca2-devel
Requires:	qt4-common libqca2


%description 
OneClickFtp is a FTP-Client written in C++/Qt4, with
which you can Upload Files with just a few Clicks. 
You have to configure Profiles with the Server,
Username, Password an the desired Files.
 
%prep
%setup -q -n %name-%version
qmake oneclickftp.pro
make


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%name
mkdir -p %{buildroot}%{_datadir}/icons
install -m 755 /usr/src/rpm/BUILD/%name-%version/bin/%name %{buildroot}%{_bindir}/%name
install -m 644 /usr/src/rpm/BUILD/%name-%version/res/tr/English.qm %{buildroot}%{_datadir}/%name/English.qm
install -m 644 /usr/src/rpm/BUILD/%name-%version/res/tr/German.qm %{buildroot}%{_datadir}/%name/German.qm
install -m 644 /usr/src/rpm/BUILD/%name-%version/res/icons/oneclickftp.png %{buildroot}%{_datadir}/icons/oneclickftp.png

# localisations are only getting loaded if available in the same pwd as binary
ln -s %{_datadir}/%{name}/English.qm %{buildroot}/%{_bindir}/English.qm
ln -s %{_datadir}/%{name}/German.qm %{buildroot}/%{_bindir}/German.qm

# Create menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/oneclickftp.desktop <<EOF
[Desktop Entry]
Name=One Click FTP
GenericName=Qt FTP Client
Comment=Easy FTP Client
Exec=oneclickftp
Icon=/usr/share/icons/oneclickftp.png
Terminal=false
Encoding=UTF-8
Type=Application
Categories=Network;FileTransfer;X-MandrivaLinux-Internet-FileTransfer;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL COPYING CHANGELOG
%{_bindir}/oneclickftp
%{_datadir}/%name/English.qm
%{_datadir}/%name/German.qm
%{_bindir}/English.qm
%{_bindir}/German.qm
%{_datadir}/icons/oneclickftp.png
%{_datadir}/applications/oneclickftp.desktop

%changelog
* Wed Aug 25 2009 Texstar <texstar@gmail.com> 0.5.1-1pclos2009
- create

